| Disk ARchive 2.5.10 Full featured and portable backup and archiving tool

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | List of all members
libdar::cat_nomme Class Reference
Private

the base class for all entry that have a name More...

`#include <cat_nomme.hpp>`

Inherits libdar::cat_entree.

Inherited by libdar::cat_detruit, libdar::cat_ignored, libdar::cat_inode, and libdar::cat_mirage.

## Public Member Functions
| cat_nomme (const std::string &name)
| cat_nomme (const smart_pointer< pile_descriptor > &pdesc, bool small)
bool | operator== (const cat_entree &ref) const
| returns true if the two object have the same content
virtual bool | operator< (const cat_nomme &ref) const
const std::string & | get_name () const
void | change_name (const std::string &x)
bool | same_as (const cat_nomme &ref) const
Public Member Functions inherited from libdar::cat_entree
| cat_entree (const smart_pointer< pile_descriptor > &pdesc, bool small)
| cat_entree ()
| setup an object when read from filesystem
virtual | ~cat_entree () throw (Ebug)
| destructor
bool | operator!= (const cat_entree &ref) const
void | dump (const pile_descriptor &pdesc, bool small) const
void | specific_dump (const pile_descriptor &pdesc, bool small) const
virtual void | post_constructor (const pile_descriptor &pdesc)
virtual unsigned char | signature () const =0
| inherited class signature
virtual cat_entree * | clone () const =0
| a way to copy the exact type of an object even if pointed to by a parent class pointer
virtual void | change_location (const smart_pointer< pile_descriptor > &pdesc)
Public Member Functions inherited from libdar::on_pool
void * | operator new (size_t n_byte)
void * | operator new (size_t n_byte, const std::nothrow_t &nothrow_value)
void * | operator new[] (size_t n_byte)
void * | operator new[] (size_t n_byte, const std::nothrow_t &nothrow_value)
void * | operator new (size_t n_byte, memory_pool *p)
void * | operator new[] (size_t n_byte, memory_pool *p)
void | operator delete (void *ptr, memory_pool *p)
| this operator is called by the compiler if an exception is throw from the constructor of the allocated object
void | operator delete[] (void *ptr, memory_pool *p)
| this operator is called by the compiler if an exception is throw from the constructor of the allocated objects
void | operator delete (void *ptr)
| this is the usual delete operator, modified to handle allocated objects allocated on a memory pool or not
void | operator delete[] (void *ptr)
| this is the usual delete[] operator, modified to handle allocated objects allocated on a memory pool or not

## Protected Member Functions
void | inherited_dump (const pile_descriptor &pdesc, bool small) const
| inherited class may overload this method but shall first call the parent's inherited_dump() in the overloaded method
Protected Member Functions inherited from libdar::cat_entree
pile * | get_pile () const
| stack used to read object from (nullptr is returned for object created from filesystem)
compressor * | get_compressor_layer () const
escape * | get_escape_layer () const
generic_file * | get_read_cat_layer (bool small) const
| return the adhoc layer in the stack to read from the catalogue objects (except the EA, FSA or Data part)
Protected Member Functions inherited from libdar::on_pool
memory_pool * | get_pool () const
template<class T >
void | meta_new (T *&ptr, size_t num)
template<class T >
void | meta_delete (T *ptr)

## Additional Inherited Members
Static Public Member Functions inherited from libdar::cat_entree
static cat_entree * | read (user_interaction &dialog, memory_pool *pool, const smart_pointer< pile_descriptor > &f, const archive_version &reading_ver, entree_stats &stats, std::map< infinint, cat_etoile * > &corres, compression default_algo, bool lax, bool only_detruit, bool small)

## Detailed Description

the base class for all entry that have a name

Definition at line 44 of file cat_nomme.hpp.

## Member Function Documentation

bool libdar::cat_nomme::same_as | ( | const cat_nomme & | ref | ) | const
| inline

compares two objects

Note
  no need to have a virtual method, as signature will differ in inherited classes (argument type changes)

Definition at line 59 of file cat_nomme.hpp.

The documentation for this class was generated from the following file:

- cat_nomme.hpp